Bug 850178 - Introduce new systemd-rpm macros in keepalived spec file
Introduce new systemd-rpm macros in keepalived spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: keepalived (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan O'Hara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:45 EDT by Lukáš Nykrýn
Modified: 2013-01-02 11:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-02 11:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.44 KB, patch)
2012-09-24 08:45 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:45:32 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-09-24 08:45:45 EDT
Created attachment 616546 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Ryan O'Hara 2013-01-02 11:43:45 EST
Thanks. I've applied this patch to F18 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.